- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# ReaderWriterBMP.cpp File Reference

`#include <osg/Image>`
`#include <osg/Notify>`
`#include <osg/Geode>`
`#include <osg/GL>`
`#include <osgDB/Registry>`
`#include <osgDB/FileNameUtils>`
`#include <osgDB/FileUtils>`
`#include <stdio.h>`
`#include <string.h>`
`#include <stdlib.h>`

Include dependency graph for ReaderWriterBMP.cpp:

## Enumerations
enum | { ERROR_NO_ERROR = 0, ERROR_READING_HEADER, ERROR_READING_PALETTE, ERROR_MEMORY, ERROR_READ_ERROR, ERROR_NO_FILE, ERROR_READING_COLORS }
enum | ftype { MB = 19778 }
enum | ncol { BW = 1, IA, RGB, RGBA }
## Functions
int | bmp_error (char *buffer, int bufferlen)
void | swapbyte (long *i)
void | swapbyte (unsigned long *i)
void | swapbyte (float *i)
void | swapbyte (unsigned short *i)
void | swapbyte (short *i)
unsigned char * | bmp_load (const char *filename, int *width_ret, int *height_ret, int *numComponents_ret)
## Variables
osgDB::RegisterReaderWriterProxy< ReaderWriterBMP > | g_readerWriter_BMP_Proxy

## Enumeration Type Documentation

anonymous enum

  | Enumerator:
  ERROR_NO_ERROR |
  ERROR_READING_HEADER |
  ERROR_READING_PALETTE |
  ERROR_MEMORY |
  ERROR_READ_ERROR |
  ERROR_NO_FILE |
  ERROR_READING_COLORS |

enum ftype

  | Enumerator:
  MB |

enum ncol

  | Enumerator:
  BW |
  IA |
  RGB |
  RGBA |

## Function Documentation

int bmp_error | ( | char * | buffer,
|  | int | bufferlen
| ) |

unsigned char* bmp_load | ( | const char * | filename,
|  | int * | width_ret,
|  | int * | height_ret,
|  | int * | numComponents_ret
| ) |

void swapbyte | ( | short * | i | ) |

void swapbyte | ( | unsigned short * | i | ) |

void swapbyte | ( | float * | i | ) |

void swapbyte | ( | unsigned long * | i | ) |

void swapbyte | ( | long * | i | ) |

## Variable Documentation

osgDB::RegisterReaderWriterProxy<ReaderWriterBMP> g_readerWriter_BMP_Proxy